/*                      QBCC Project

This source file is licensed under the GNU Lesser Public Licence which should be 
included with the distribution of this source.

*/
// Quick Basic Compatible Compiler
// Standard Graphics Library


#ifndef __STDGFXLIB_H__
#define __STDGFXLIB_H__

#include <allegro.h>


// PUT 'Action Verbs'
#define IMG_AND			0
#define IMG_PSET			1
#define IMG_PRESET		2
#define IMG_XOR			3


// LINE line types
#define LINE_NORMAL	0
#define LINE_B			1
#define LINE_BF		2

// GFX Library Prototypes
void DrawToBuffer(int *d2b);
void DrawBufferToScreen(void);

// Graphics Prototypes
void LINE(int *x1,int *y1,int *x2,int *y2,int *colour,int *type);
void SCREEN(int *mode);
void PSET_(int *x,int *y,int *colour);
int *POINT(int *x,int *y);
void PAINT(int *x,int *y,int *colour,int *bordercol,int *backgcol);
void CLS(void);
void GET(int *x1,int *y1,int *x2,int *y2,signed short *array);
void PUT(int *x,int *y,signed short *array,int *type);





#endif  //  __STDGFXLIB_H__